/*
** main.c
**
** Made by Patrick MARIE (linfg122)
** <mycroft@minithins.net> on marine.edu.ups-tlse.fr
**
** Started on  Fri Nov 08 10:25:27 2002 linfg122 
** Last update Thu Nov 21 13:16:24 2002 linfg122
*/

#include <stdio.h>
#include <stdlib.h>

#include "fonctions.h"
#include "system.h"
#include "jeu.h"


int main (int argc, char **argv)
{
  set_return_code (E_OK);

#ifdef DEBUG
  my_memoire_status (); 
  ouvre_debug ();
#endif

  printf ("Tout est possible,\n"
          "tout est realisable,\n"
          "c'est le jeu de la vie !\n\n"
          ); /* Chevalier et Laspales rulez */

  jeu ();

#ifdef DEBUG
  fprintf (stderr, "\nA la fin de l'execution, le compteur de memoire "
                   "est a %i blocs non liberes.\n",
  my_memoire_status ());
  ferme_debug ();
#endif

  fprintf (stdout, "\nFin normale des activites ...\n\n");

  return (get_return_code ());
}
