/*
** system.h
**
** Made by Patrick MARIE (linfg122)
** <mycroft@minithins.net> on marine.edu.ups-tlse.fr
**
** Started on  Fri Nov 08 10:56:10 2002 linfg122
** Last update ven 22 nov 2002 19:33:27 CET mycroft
*/

/*
 * Header du fichier system.c
 */

#include "listes.h"
#include "monde.h"
#include "entite.h"

#define SAUVE_REP "files"
#define AUTOSAVE "auto"
#define MAX_TAB 1024

/*
 * Charger un jeu.
 *
 * renvoit 0 si c'est OK
 * renvoit -1 au cas d'une erreur
 *
 * Parametre: 0 == configuration par defaut.
 */

int charger_jeu (int mode, struct monde_t **monde, cel **entite, unsigned int ts);
int sauvegarder_jeu (struct monde_t *monde, cel *entites, unsigned int ts);
int creer_jeu (struct monde_t **monde, cel **entites, cel *objets);
